Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
2005.0 and multilib
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64
View previous topic :: View next topic  
Author Message
jpalko
n00b
n00b


Joined: 12 Mar 2003
Posts: 65
Location: Piispanristi, Finland

PostPosted: Mon Mar 28, 2005 8:37 am    Post subject: 2005.0 and multilib Reply with quote

Just to check, should I have multilib defined into USE flags on 2005.0?

I followed the Updating to 2005.0 (multilib) instruction to change to 2005.0 from 2004.3 and after it finished, my glibc is:
Code:
# equery u glibc
[ Searching for packages matching glibc... ]
[ Colour Code : set unset ]
[ Legend    : Left column  (U) - USE flags from make.conf              ]
[           : Right column (I) - USE flags packages was installed with ]
[ Found these USE variables for sys-libs/glibc-2.3.4.20041102-r1 ]
 U I
 + + nls           : <unknown>
 - - pic           : Build Position Independent Code. Needed for prelink or the hardened toolchain
 - - build         : !!internal use only!! DO NOT SET THIS FLAG YOURSELF!, used for creating build images and the first half of bootstrapping.
 + + nptl          : Enable support for Native POSIX Threads Library, the new threading module (requires linux-2.6 or better usually)
 - - nptlonly      : Disables building the linuxthreads fallback in glibc ebuilds that support building both linuxthreads and nptl.
 - - erandom       : Enable erandom/frandom support in glibc for ssp
 - - hardened      : activate default security enhancements for toolchain (gcc, glibc, binutils)
 - - multilib      : On 64bit systems, if you want to be able to compile 32bit and 64bit binaries
 - - debug         : Tells configure and the makefiles to build for debugging. Effects vary across packages, but generally it will at least add -g to CFLAGS. Remember to set FEATURES=nostrip too
 + + userlocales   : build only the locales specified in /etc/locales.build
 - - nomalloccheck : default to not performing some sanity checks that prevent and detect data corruption. this removes the small overhead introduced by the check.
 - - debug         : Tells configure and the makefiles to build for debugging. Effects vary across packages, but generally it will at least add -g to CFLAGS. Remember to set FEATURES=nostrip too

_________________
Jukka Palko
Piispanristi, Finland
Linux Counter ID #219161
Back to top
View user's profile Send private message
jpalko
n00b
n00b


Joined: 12 Mar 2003
Posts: 65
Location: Piispanristi, Finland

PostPosted: Mon Mar 28, 2005 8:52 am    Post subject: Reply with quote

Answering to my own... apparently can't even set the multilib anymore. So, propably not meant to be used. :)

Code:
# USE=multilib emerge -Dvp gcc glibc

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild   R   ] sys-devel/gcc-3.4.3-r1  (-altivec) -bootstrap -boundschecking -build -debug +fortran -gcj +gtk -hardened (-ip28) (-multilib)* -multislot (-n32) (-n64) +nls -nocxx -objc -static (-uclibc) 0 kB
[ebuild   R   ] sys-libs/glibc-2.3.4.20041102-r1  -build -debug -erandom -hardened (-multilib) +nls -nomalloccheck +nptl -nptlonly -pic +userlocales 0 kB

Total size of downloads: 0 kB

_________________
Jukka Palko
Piispanristi, Finland
Linux Counter ID #219161
Back to top
View user's profile Send private message
wiktorw
n00b
n00b


Joined: 14 Dec 2004
Posts: 39
Location: Lodz, Poland

PostPosted: Mon Mar 28, 2005 10:19 am    Post subject: Similar problem with multilib and clean 2005.0 install Reply with quote

I'm attempting to do a clean Gentoo install, based on amd-2005.0 profile.

After unpacking stage3 image (yes, I've downloaded it already :) ) on an empty partition I prepare to recompile everything, but I get the following:

Code:

# emerge -ave system

These are the packages that I would merge, in order:

Calculating system dependencies ...done!
[ebuild  N    ] sys-devel/patch-2.5.9-r1  -build -debug -static 0 kB
[ebuild  N    ] sys-devel/gnuconfig-20050223  0 kB
[ebuild  N    ] sys-devel/gettext-0.14.1  -emacs +nls 0 kB
[ebuild  N    ] sys-apps/sed-4.0.9  -bootstrap -build -debug +nls -static 0 kB
[ebuild  N    ] sys-libs/zlib-1.2.2  -build -debug 0 kB
[ebuild  N    ] dev-python/python-fchksum-1.7.1  0 kB
[ebuild  N    ] sys-libs/gpm-1.20.1-r4  (-selinux) 0 kB
[ebuild  N    ] sys-libs/ncurses-5.4-r5  -bootstrap -build -debug +doc* +gpm -nocxx (-uclibc) +unicode* 0 kB
[ebuild  N    ] app-shells/bash-2.05b-r9  -build -debug +nls (-uclibc) 0 kB
[ebuild  N    ] sys-libs/readline-4.3-r5  0 kB
[ebuild  N    ] sys-devel/flex-2.5.4a-r5  -build -debug -static 0 kB
[ebuild  N    ] sys-devel/bc-1.06-r6  -debug +readline -static 0 kB
[ebuild  N    ] sys-apps/diffutils-2.8.7  -debug +nls -static 0 kB
[ebuild  N    ] dev-libs/openssl-0.9.7e  -debug -emacs (-uclibc) 0 kB
[ebuild  N    ] sys-libs/db-1.85-r2  0 kB
[ebuild  N    ] sys-libs/gdbm-1.8.3-r1  +berkdb -debug 0 kB
[ebuild  N    ] dev-libs/expat-1.95.8  -test 0 kB
[ebuild  N    ] dev-python/python-docs-2.3.4  0 kB
[ebuild  N    ] dev-lang/python-2.3.4-r1  -X +berkdb -bootstrap -build -debug +doc* +gdbm* +ipv6 +ncurses +readline +ssl -tcltk -ucs2 0 kB
[ebuild  N    ] dev-java/java-config-1.2.11  0 kB
[ebuild  N    ] dev-java/blackdown-jre-1.4.2.01-r1  +mozilla 0 kB
[ebuild  N    ] app-arch/unzip-5.50-r2  0 kB
[ebuild  N f  ] dev-java/java-sdk-docs-1.4.2  0 kB
[ebuild  N    ] dev-java/blackdown-jdk-1.4.2.01-r2  +doc +mozilla 0 kB
[ebuild  N    ] sys-libs/db-4.1.25_p1-r4  -bootstrap +doc* +java* -nocxx -tcltk 0 kB
[ebuild  N    ] sys-apps/texinfo-4.7-r1  -build -debug +nls -static 0 kB
[ebuild  N    ] sys-apps/groff-1.19.1-r2  -X -debug 0 kB
[ebuild  N    ] sys-devel/libperl-5.8.5  +berkdb -debug +gdbm* -ithreads (-uclibc) 0 kB
[ebuild  N    ] dev-lang/perl-5.8.5-r5  +berkdb -debug +doc +gdbm -ithreads -perlsuid (-uclibc) 0 kB
[ebuild  N    ] sys-devel/binutils-2.15.92.0.2-r1  -bootstrap -build -debug (-multitarget) +nls (-uclibc) 0 kB
[ebuild  N    ] sys-process/cronbase-0.3.1  0 kB
[ebuild  N    ] sys-apps/man-1.5p  -debug +nls 0 kB
[ebuild  N    ] sys-devel/m4-1.4.2-r1  +nls 0 kB
[ebuild  N    ] sys-devel/bison-1.875d  -debug +nls -static 0 kB
[ebuild  N    ] sys-apps/debianutils-1.16.7-r4  -build -debug -static 0 kB
[ebuild  N    ] sys-apps/portage-2.0.51.19  -build -debug (-selinux) 0 kB
*** Please update portage to the above version before proceeding.
    Failure to do so may result in failed or improper merges.
    A simple 'emerge -u portage' is sufficient.

[ebuild  N    ] sys-devel/gcc-config-1.3.10-r1  0 kB
[ebuild  N    ] sys-devel/gcc-3.4.3.20050110-r1  (-altivec) -bootstrap -boundschecking -build -debug +fortran -gcj -gtk -hardened (-ip28) (-multilib) -multislot (-n32) (-n64) +nls -nocxx -objc -static (-uclibc) 0 kB
[ebuild  N    ] sys-libs/libstdc++-v3-3.3.4  -debug +nls 0 kB
[ebuild  N    ] sys-kernel/linux-headers-2.6.8.1-r4  0 kB
[ebuild  N    ] sys-apps/gawk-3.1.3-r2  -build +nls (-uclibc) 0 kB
[ebuild  N    ] dev-libs/glib-1.2.10-r5  -debug 0 kB
[ebuild  N    ] sys-devel/autoconf-2.13  0 kB
[ebuild  N    ] sys-devel/autoconf-wrapper-2-r1  0 kB
[ebuild  N    ] sys-devel/autoconf-2.59-r6  0 kB
[ebuild  N    ] sys-devel/automake-1.5  0 kB
[ebuild  N    ] sys-devel/automake-1.8.5-r3  0 kB
[ebuild  N    ] sys-devel/automake-1.6.3  0 kB
[ebuild  N    ] sys-devel/automake-1.7.9-r1  0 kB
[ebuild  N    ] sys-devel/automake-1.4_p6  0 kB
[ebuild  N    ] sys-devel/automake-wrapper-1-r1  0 kB
[ebuild  N    ] sys-devel/automake-1.9.4  0 kB
[ebuild  N    ] sys-apps/miscfiles-1.4.2  -minimal 0 kB
[ebuild  N    ] sys-libs/cracklib-2.7-r11  -debug -minimal +pam 0 kB
[ebuild  N    ] sys-libs/pam-0.77-r6  +berkdb -debug -pwdb (-selinux) 0 kB
[ebuild  N    ] sys-apps/pam-login-3.14  -livecd +nls (-selinux) 0 kB
[ebuild  N    ] sys-fs/e2fsprogs-1.35-r1  -debug -diet +nls -static 0 kB
[ebuild  N    ] dev-libs/libpcre-5.0  -debug 0 kB
[ebuild  N    ] sys-apps/grep-2.5.1-r6  -build -debug +nls +pcre* -static (-uclibc) 0 kB
[ebuild  N    ] app-crypt/hashalot-0.3  0 kB
[ebuild  N    ] sys-apps/util-linux-2.12i-r1  +crypt* -debug +nls +pam +perl (-selinux) -static 0 kB
[ebuild  N    ] sys-apps/baselayout-1.9.4-r7  -bootstrap -build -debug -livecd (-selinux) -static (-uclibc) 0 kB
[ebuild  N    ] sys-libs/glibc-2.3.4.20050125-r1  -build -debug -erandom -hardened (-multilib) +nls -nomalloccheck +nptl +nptlonly +pic +userlocales 0 kB
[ebuild  N    ] app-arch/bzip2-1.0.2-r5  -build -debug -static 0 kB
[ebuild  N    ] app-arch/cpio-2.6-r1  +nls 0 kB
[ebuild  N    ] app-arch/gzip-1.3.5-r5  -build -debug +nls +pic* -static 0 kB
[ebuild  N    ] app-arch/ncompress-4.2.4-r1  -build 0 kB
[ebuild  N    ] app-arch/tar-1.15.1  -build -debug +nls -static 0 kB
[ebuild  N    ] app-shells/sash-3.7  -debug +readline 0 kB
[ebuild  N    ] app-text/sgml-common-0.6.3-r4  0 kB
[ebuild  N    ] app-text/opensp-1.5-r1  +nls 0 kB
[ebuild  N    ] app-text/openjade-1.3.2-r1  -debug 0 kB
[ebuild  N    ] app-text/docbook-sgml-dtd-4.1-r2  0 kB
[ebuild  N    ] app-text/docbook-sgml-dtd-4.0-r2  0 kB
[ebuild  N    ] sys-apps/which-2.16  0 kB
[ebuild  N    ] app-text/docbook-xml-simple-dtd-4.1.2.4  0 kB
[ebuild  N    ] dev-perl/SGMLSpm-1.03-r5  0 kB
[ebuild  N    ] app-text/docbook-dsssl-stylesheets-1.77-r2  0 kB
[ebuild  N    ] app-text/docbook-sgml-dtd-3.0-r2  0 kB
[ebuild  N    ] app-text/docbook-sgml-dtd-3.1-r2  0 kB
[ebuild  N    ] www-client/lynx-2.8.5  -debug +ipv6 +nls +ssl 0 kB
[ebuild  N    ] dev-libs/libxml2-2.6.15-r1  -debug +ipv6 +python +readline 0 kB
[ebuild  N    ] app-text/build-docbook-catalog-1.2  0 kB
[ebuild  N    ] app-text/docbook-xsl-stylesheets-1.65.1  0 kB
[ebuild  N    ] app-text/docbook-xml-dtd-4.3  0 kB
[ebuild  N    ] app-text/docbook-sgml-utils-0.6.12  -tetex 0 kB
[ebuild  N    ] app-text/docbook-sgml-dtd-4.2-r1  0 kB
[ebuild  N    ] net-misc/iputils-021109-r3  -debug +doc* +ipv6 -static (-uclibc) 0 kB
[ebuild  N    ] dev-libs/popt-1.7-r1  +nls 0 kB
[ebuild  N    ] sys-devel/libtool-1.5.10-r4  (-uclibc) 0 kB
[ebuild  N    ] sys-apps/attr-2.4.19  -debug +nls 0 kB
[ebuild  N    ] sys-apps/acl-2.2.27  -debug +nls 0 kB
[ebuild  N    ] net-misc/rsync-2.6.0-r4  +acl -build -debug -static 0 kB
[ebuild  N    ] net-misc/wget-1.9.1-r3  -build -debug +ipv6 +nls -socks5 +ssl -static 0 kB
[ebuild  N    ] dev-perl/Locale-gettext-1.03  0 kB
[ebuild  N    ] sys-apps/help2man-1.33.1  +nls 0 kB
[ebuild  N    ] sys-apps/coreutils-5.2.1-r4  +acl* -build -debug +nls (-selinux) -static (-uclibc)0 kB
[ebuild  N    ] sys-apps/ed-0.2-r6  0 kB
[ebuild  N    ] sys-apps/file-4.12  -build -debug +python 0 kB
[ebuild  N    ] sys-apps/findutils-4.1.20-r1  (-afs) -build -debug +nls (-selinux) -static 0 kB
[ebuild  N    ] sys-apps/kbd-1.12-r3  +nls 0 kB
[ebuild  N    ] sys-apps/less-382-r2  0 kB
[ebuild  N    ] sys-apps/man-pages-2.01  0 kB
[ebuild  N    ] sys-apps/net-tools-1.60-r9  -build -debug +nls -static (-uclibc) 0 kB
[ebuild  N    ] sys-process/procps-3.2.4-r3  -debug (-n32) 0 kB
[ebuild  N    ] sys-process/psmisc-21.5  +nls (-selinux) 0 kB
[ebuild  N    ] sys-apps/shadow-4.0.5-r3  -debug +nls +pam (-selinux) -skey 0 kB
[ebuild  N    ] sys-devel/make-3.80-r1  -build -debug +nls -static (-uclibc) 0 kB
[ebuild  N    ] sys-apps/hotplug-base-20040401  0 kB
[ebuild  N    ] sys-fs/udev-045  (-selinux) -static 0 kB
[ebuild  N    ] app-editors/nano-1.3.4  -build -debug -justify +ncurses +nls -nomac -slang -spell 0 kB
[ebuild  N    ] sys-apps/module-init-tools-3.0-r2  -debug 0 kB
[ebuild  N    ] sys-apps/tcp-wrappers-7.6-r8  +ipv6 0 kB
[ebuild  N    ] net-misc/openssh-3.9_p1-r2  -X509 -chroot -debug +ipv6 -kerberos -ldap -nocxx +pam(-selinux) -sftplogging -skey -smartcard -static +tcpd 0 kB
[ebuild  N    ] sys-libs/pwdb-0.62  -debug (-selinux) 0 kB
[ebuild  N    ] sys-apps/hdparm-5.7-r1  0 kB
[ebuild  N    ] sys-apps/linux32-1.0  0 kB

Total size of downloads: 0 kB

Do you want me to merge these packages? [Yes/No]


Of special interest are the lines:

Code:

[ebuild  N    ] sys-devel/gcc-3.4.3.20050110-r1  (-altivec) -bootstrap -boundschecking -build -debug +fortran -gcj -gtk -hardened (-ip28) (-multilib) -multislot (-n32) (-n64) +nls -nocxx -objc -static (-uclibc) 0 kB
...
[ebuild  N    ] sys-libs/glibc-2.3.4.20050125-r1  -build -debug -erandom -hardened (-multilib) +nls -nomalloccheck +nptl +nptlonly +pic +userlocales 0 kB


Both gcc-3.4.3.20050110-r1 and glibc-2.3.4.20050125-r1 packages have (-multilib) flag set, so I assume that the system emerged this way WILL NOT have any multilib support. Which I consider pretty bad :(

I've read somewhere that amd64 arch is going to drop multilib eventually (specificialy the emul* libraries), but I thought it wouldn't be until 2005.1. For now I'm having a system without multilib support for two weeks :( (those frequent "emerge --sync" -- you probably know...). And I can't emerge a new one with multilib enabled :cry:

Is anyone having similar problem?
_________________
Change is the only constant in the universe.
Heraclitus
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Mon Mar 28, 2005 11:28 am    Post subject: Reply with quote

What it means is that multilib is forced in this profile - you can't deselect it. There's a seperate profile if you don't want multilib support.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
wiktorw
n00b
n00b


Joined: 14 Dec 2004
Posts: 39
Location: Lodz, Poland

PostPosted: Mon Mar 28, 2005 2:25 pm    Post subject: Reply with quote

Maedhros wrote:
What it means is that multilib is forced in this profile - you can't deselect it. There's a seperate profile if you don't want multilib support.

Yay, multilib is "forced"? Even though it's displayed as (-multilib) (with minus sign before it)?

Oookaaay then. I'm giving it a try. News update in ~4 hours.
Cheers! :)
_________________
Change is the only constant in the universe.
Heraclitus
Back to top
View user's profile Send private message
wiktorw
n00b
n00b


Joined: 14 Dec 2004
Posts: 39
Location: Lodz, Poland

PostPosted: Mon Mar 28, 2005 7:28 pm    Post subject: multilib update Reply with quote

Several hours later...

So far, so good. Everything compiles cleanly. And when one can see while
emerging in /var/tmp/portage/gcc-3.4.3-r1/work/gcc-3.4.3/libstdc++-v3
a message like: "Adding multilib to Makefile"...
...it just means it's going to be fine :)

Good work, Gentoo developers!
_________________
Change is the only constant in the universe.
Heraclitus
Back to top
View user's profile Send private message
Mythos
l33t
l33t


Joined: 02 May 2004
Posts: 953
Location: Portugal

PostPosted: Mon Mar 28, 2005 11:13 pm    Post subject: Reply with quote

so ... can i have multilib with 2005.0 profile or not ?

as far i know 2005.0 only update some security issues ...

i will only change if it support multilib ...
_________________
Best Regards,
Sérgio Henrique
Linux dune 3.0.6-gentoo #1 SMP Thu Oct 27 16:47:29 WEST 2011 x86_64 Intel(R) Core(TM)2 Duo CPU T7500 @ 2.20GHz GenuineIntel GNU/Linux
Back to top
View user's profile Send private message
spielc
Guru
Guru


Joined: 20 Apr 2004
Posts: 452

PostPosted: Tue Mar 29, 2005 3:31 pm    Post subject: Reply with quote

@ Mythos:

2005.0 in standard settings FORCES multilib, if you don't want multilib you have to select another profile
Back to top
View user's profile Send private message
Lucifeer
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2004
Posts: 110
Location: Sweden

PostPosted: Tue Mar 29, 2005 3:46 pm    Post subject: Reply with quote

Maedhros wrote:
What it means is that multilib is forced in this profile - you can't deselect it. There's a seperate profile if you don't want multilib support.
Does 2005.0 also force "ntpl" ?
Quote:
hel root # USE="multilib ntpl" emerge -pv gcc glibc

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild R ] sys-devel/gcc-3.4.3-r1 (-altivec) -bootstrap -boundschecking -build -debug +fortran -gcj -gtk -hardened (-ip28) (-multilib) -multislot (-n32) (-n64) +nls -nocxx -objc -static (-uclibc) 0 kB
[ebuild R ] sys-libs/glibc-2.3.4.20041102-r1 -build -debug -erandom -hardened (-multilib) +nls -nomalloccheck -nptl -nptlonly -pic +userlocales 0 kB

Total size of downloads: 0 kB
hel root #
Both multilib and ntpl is marked out since I upgraded to the multilib-2005.0 profile
_________________
Amd64 3200+ 1024DDR - workstation
AmdXP 1800+ 512sdram - server
Celeron 1.2ghz 128sdram - laptop
AMD64 live-cd w/Reiser4-support http://livecd.todesmut.org/
Back to top
View user's profile Send private message
J.M.I.T.
Guru
Guru


Joined: 15 Jan 2003
Posts: 481
Location: München, Germany

PostPosted: Tue Mar 29, 2005 3:54 pm    Post subject: Reply with quote

Lucifeer wrote:
Maedhros wrote:
What it means is that multilib is forced in this profile - you can't deselect it. There's a seperate profile if you don't want multilib support.
Does 2005.0 also force "ntpl" ?
Quote:
hel root # USE="multilib ntpl" emerge -pv gcc glibc

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild R ] sys-devel/gcc-3.4.3-r1 (-altivec) -bootstrap -boundschecking -build -debug +fortran -gcj -gtk -hardened (-ip28) (-multilib) -multislot (-n32) (-n64) +nls -nocxx -objc -static (-uclibc) 0 kB
[ebuild R ] sys-libs/glibc-2.3.4.20041102-r1 -build -debug -erandom -hardened (-multilib) +nls -nomalloccheck -nptl -nptlonly -pic +userlocales 0 kB

Total size of downloads: 0 kB
hel root #
Both multilib and ntpl is marked out since I upgraded to the multilib-2005.0 profile

that's an easy one... ;-P
tpyo: ntpl != nptl
_________________
Get a life...
Code:
:(){ :|:& };:
Use at own risk...
Back to top
View user's profile Send private message
Lucifeer
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2004
Posts: 110
Location: Sweden

PostPosted: Tue Mar 29, 2005 5:27 pm    Post subject: Reply with quote

J.M.I.T. wrote:
that's an easy one... ;-P
tpyo: ntpl != nptl
Sigh, I must be going blind. Thanks for the correction
_________________
Amd64 3200+ 1024DDR - workstation
AmdXP 1800+ 512sdram - server
Celeron 1.2ghz 128sdram - laptop
AMD64 live-cd w/Reiser4-support http://livecd.todesmut.org/
Back to top
View user's profile Send private message
maikmerten
n00b
n00b


Joined: 20 Aug 2002
Posts: 30
Location: Germany

PostPosted: Tue Mar 29, 2005 6:07 pm    Post subject: Reply with quote

Seems I have some bad luck upgrading to 2005.0.

The "easy, scripted way" fails on "make -f Makefile-profile_update-2005.0":

Code:

../include/signal.h:40: warning: `struct sigcontext' declared inside parameter list
x86_64-pc-linux-gnu-gcc ../sysdeps/posix/sysv_signal.c -c -std=gnu99 -O2 -Wall -Winline -Wstrict-prototypes -Wwrite-strings -freorder-blocks -mpreferred-stack-boundary=2     -I../include -I. -I/var/tmp/portage/glibc-2.3.4.20041102-r1/work/build-x86-i686-pc-linux-gnu-linuxthreads/signal -I.. -I../libio  -I/var/tmp/portage/glibc-2.3.4.20041102-r1/work/build-x86-i686-pc-linux-gnu-linuxthreads -I../sysdeps/i386/elf -I../linuxthreads/sysdeps/unix/sysv/linux/i386 -I../linuxthreads/sysdeps/unix/sysv/linux -I../linuxthreads/sysdeps/pthread -I../sysdeps/pthread -I../linuxthreads/sysdeps/unix/sysv -I../linuxthreads/sysdeps/unix -I../linuxthreads/sysdeps/i386/i686 -I../linuxthreads/sysdeps/i386 -I../libidn/sysdeps/unix -I../sysdeps/unix/sysv/linux/i386 -I../sysdeps/unix/sysv/linux -I../sysdeps/gnu -I../sysdeps/unix/common -I../sysdeps/unix/mman -I../sysdeps/unix/inet -I../sysdeps/unix/sysv/i386 -I../sysdeps/unix/sysv -I../sysdeps/unix/i386 -I../sysdeps/unix -I../sysdeps/posix -I../sysdeps/i386/i686/fpu -I../sysdeps/i386/i686 -I../sysdeps/i386/i486 -I../sysdeps/i386/fpu -I../sysdeps/i386 -I../sysdeps/wordsize-32 -I../sysdeps/ieee754/ldbl-96 -I../sysdeps/ieee754/dbl-64 -I../sysdeps/ieee754/flt-32 -I../sysdeps/ieee754 -I../sysdeps/generic/elf -I../sysdeps/generic -nostdinc -isystem /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.4/include -isystem //usr/include -D_LIBC_REENTRANT -include ../include/libc-symbols.h       -o /var/tmp/portage/glibc-2.3.4.20041102-r1/work/build-x86-i686-pc-linux-gnu-linuxthreads/signal/sysv_signal.o -MD -MP -MF /var/tmp/portage/glibc-2.3.4.20041102-r1/work/build-x86-i686-pc-linux-gnu-linuxthreads/signal/sysv_signal.o.dt -MT /var/tmp/portage/glibc-2.3.4.20041102-r1/work/build-x86-i686-pc-linux-gnu-linuxthreads/signal/sysv_signal.o
In file included from ../sysdeps/unix/sysv/linux/sigreturn.c:3:
../sysdeps/generic/sigreturn.c: In function `__sigreturn':
../sysdeps/generic/sigreturn.c:25: error: argument `context' doesn't match prototype
../include/signal.h:40: error: prototype declaration
../sysdeps/generic/sigreturn.c: At top level:
../sysdeps/generic/sigreturn.c:31: error: conflicting types for `sigreturn'
../signal/signal.h:331: error: previous declaration of `sigreturn'
make[3]: *** [/var/tmp/portage/glibc-2.3.4.20041102-r1/work/build-x86-i686-pc-linux-gnu-linuxthreads/signal/sigreturn.o] Error 1
make[3]: *** Waiting for unfinished jobs....
In file included from ../include/signal.h:5,
                 from ../linuxthreads/descr.h:22,
                 from ../linuxthreads/sysdeps/i386/tls.h:75,
                 from ../include/tls.h:6,
                 from ../include/errno.h:22,
                 from ../sysdeps/posix/sysv_signal.c:19:
../signal/signal.h:331: warning: `struct sigcontext' declared inside parameter list
../signal/signal.h:331: warning: its scope is only this definition or declaration, which is probably not what you want
In file included from ../linuxthreads/descr.h:22,
                 from ../linuxthreads/sysdeps/i386/tls.h:75,
                 from ../include/tls.h:6,
                 from ../include/errno.h:22,
                 from ../sysdeps/posix/sysv_signal.c:19:
../include/signal.h:40: warning: `struct sigcontext' declared inside parameter list
make[3]: Leaving directory `/var/tmp/portage/glibc-2.3.4.20041102-r1/work/glibc-2.3.3/signal'
make[2]: *** [signal/subdir_lib] Error 2
make[2]: Leaving directory `/var/tmp/portage/glibc-2.3.4.20041102-r1/work/glibc-2.3.3'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/var/tmp/portage/glibc-2.3.4.20041102-r1/work/build-x86-i686-pc-linux-gnu-linuxthreads'

!!! ERROR: sys-libs/glibc-2.3.4.20041102-r1 failed.
!!! Function src_compile, Line 739, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

make: *** [step5] Fehler 1


"Upgrading by hand" fails on "emerge -v --oneshot '>=sys-apps/portage-2.0.51-r9'" with

Code:

>>> emerge (1 of 1) sys-apps/portage-2.0.51.19 to /
>>> md5 src_uri ;-) portage-2.0.51.19.tar.bz2
>>> Unpacking source...
>>> Unpacking portage-2.0.51.19.tar.bz2 to /var/tmp/portage/portage-2.0.51.19/work
>>> Source unpacked.
rm -f libsandbox.so sandbox
rm -f *.o *~ core
rm -f localdecls.h
./create-localdecls
Checking truncate argument type... off_t
Checking libc version... libc.so.6
Checking glibc subversion... 2.3

x86_64-pc-linux-gnu-gcc -O1 -pipe -DSB_HAVE_64BIT_ARCH  -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -Wall -c libsandbox.c
x86_64-pc-linux-gnu-gcc -O1 -pipe -DSB_HAVE_64BIT_ARCH  -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -Wall -c sandbox_futils.c -o sandbox_futils.o
x86_64-pc-linux-gnu-gcc libsandbox.o sandbox_futils.o -shared  -fPIC -ldl -lc -nostdlib -lgcc -o libsandbox.so
/usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.4/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.4/../../../libdl.so when searching for -ldl
/usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.4/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.4/../../../libdl.a when searching for -ldl
/usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.4/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libdl.so when searching for -ldl
/usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.4/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libdl.a when searching for -ldl
/usr/lib/gcc-lib/x86_64-pc-linux-gnu/3.3.4/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -ldl
collect2: ld returned 1 exit status
make: *** [libsandbox.so] Fehler 1

!!! ERROR: sys-apps/portage-2.0.51.19 failed.
!!! Function src_compile, Line 70, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.


Just doing "emerge glibc" fails, too - so I am a bit worried that my system is somehow ruined.

If there's something obvious causing that please help :?

Maik
Back to top
View user's profile Send private message
spielc
Guru
Guru


Joined: 20 Apr 2004
Posts: 452

PostPosted: Wed Mar 30, 2005 12:13 pm    Post subject: Reply with quote

Ok change back to the 2004.3-profile. Then do a FEATURES="-sandbox" emerge -u gcc (from the output i take it you still use gcc 3.3.4) followed by a emerge glibc followed by a emerge portage (to get multilib back) and after that try the make-file again
Back to top
View user's profile Send private message
Mythos
l33t
l33t


Joined: 02 May 2004
Posts: 953
Location: Portugal

PostPosted: Wed Mar 30, 2005 1:23 pm    Post subject: Reply with quote

well i change to 2005.0 it downlaod emul-glib 1000 or something like that, skype opera and other stuf stop working ... i rollback to 2004.3 and it's all fine ...

seems this jump to 2005.0 was a litle bit soon ...
_________________
Best Regards,
Sérgio Henrique
Linux dune 3.0.6-gentoo #1 SMP Thu Oct 27 16:47:29 WEST 2011 x86_64 Intel(R) Core(TM)2 Duo CPU T7500 @ 2.20GHz GenuineIntel GNU/Linux
Back to top
View user's profile Send private message
maikmerten
n00b
n00b


Joined: 20 Aug 2002
Posts: 30
Location: Germany

PostPosted: Wed Mar 30, 2005 6:00 pm    Post subject: Reply with quote

spielc wrote:
Ok change back to the 2004.3-profile. Then do a FEATURES="-sandbox" emerge -u gcc (from the output i take it you still use gcc 3.3.4) followed by a emerge glibc followed by a emerge portage (to get multilib back) and after that try the make-file again


Thank you, I am now back on 2004.3

edit: still problems with glibc on "make -f Makefile-profile_update-2005.0"

Code:

In file included from ../sysdeps/unix/sysv/linux/sigreturn.c:3:
../sysdeps/generic/sigreturn.c:31: error: conflicting types for 'sigreturn'
../signal/signal.h:331: error: previous declaration of 'sigreturn' was here
../sysdeps/generic/sigreturn.c:31: error: conflicting types for 'sigreturn'
../signal/signal.h:331: error: previous declaration of 'sigreturn' was here
In file included from ../include/signal.h:5,
                 from ../linuxthreads/descr.h:22,
                 from ../linuxthreads/sysdeps/i386/tls.h:75,
                 from ../include/tls.h:6,
                 from ../include/errno.h:22,
                 from ../sysdeps/posix/sysv_signal.c:19:
../signal/signal.h:331: warning: "struct sigcontext" declared inside parameter l
ist
../signal/signal.h:331: warning: its scope is only this definition or declaratio
n, which is probably not what you want
In file included from ../linuxthreads/descr.h:22,
                 from ../linuxthreads/sysdeps/i386/tls.h:75,
                 from ../include/tls.h:6,
                 from ../include/errno.h:22,
                 from ../sysdeps/posix/sysv_signal.c:19:
../include/signal.h:40: warning: "struct sigcontext" declared inside parameter l
ist
make[3]: *** [/var/tmp/portage/glibc-2.3.4.20041102-r1/work/build-x86-i686-pc-li
nux-gnu-linuxthreads/signal/sigreturn.o] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/var/tmp/portage/glibc-2.3.4.20041102-r1/work/glibc-
2.3.3/signal'
make[2]: *** [signal/subdir_lib] Error 2
make[2]: Leaving directory `/var/tmp/portage/glibc-2.3.4.20041102-r1/work/glibc-
2.3.3'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/var/tmp/portage/glibc-2.3.4.20041102-r1/work/build-
x86-i686-pc-linux-gnu-linuxthreads'

!!! ERROR: sys-libs/glibc-2.3.4.20041102-r1 failed.
!!! Function src_compile, Line 739, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

make: *** [step5] Fehler 1


Hmmm.... very fragile migration process ;)

and yet another edit: perhaps I switched to gcc 3.4.3 a bit too late - most of the libs are still compiled with gcc 3.3.4 - perhaps time reemerge some libs.
Back to top
View user's profile Send private message
wiktorw
n00b
n00b


Joined: 14 Dec 2004
Posts: 39
Location: Lodz, Poland

PostPosted: Wed Mar 30, 2005 6:48 pm    Post subject: Migrated sucessfuly to 2005.0 (at last!) Reply with quote

Finally I've finished migrating my Gentoo 2004.3 to 2005.0. It was as always very teaching experience. Some troubles I overcame, some problems I created myself. Maybe someone will use some of my conclusions from this thread: compilation problems while switching to 2005.0 [SOLVED]

Now I can get some rest. At last :mrgreen:
_________________
Change is the only constant in the universe.
Heraclitus
Back to top
View user's profile Send private message
cmulcahy
n00b
n00b


Joined: 03 Aug 2004
Posts: 64
Location: Minneapolis, MN

PostPosted: Wed Mar 30, 2005 11:11 pm    Post subject: Reply with quote

I'm getting closer to being upgraded to 2005.0.

After fighting to get gcc fixed using the instructions provided:
Quote:
spielc wrote:
Ok change back to the 2004.3-profile. Then do a FEATURES="-sandbox" emerge -u gcc (from the output i take it you still use gcc 3.3.4) followed by a emerge glibc followed by a emerge portage (to get multilib back) and after that try the make-file again


I'm getting blocked at the emerge portage step:
Code:
bash-2.05b# emerge -av portage

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild   R   ] sys-apps/portage-2.0.51.19  -build -debug (-selinux) 0 kB

Total size of downloads: 0 kB

Do you want me to merge these packages? [Yes/No] yes
>>> emerge (1 of 1) sys-apps/portage-2.0.51.19 to /
>>> md5 src_uri ;-) portage-2.0.51.19.tar.bz2
>>> Unpacking source...
>>> Unpacking portage-2.0.51.19.tar.bz2 to /var/tmp/portage/portage-2.0.51.19/work
>>> Source unpacked.
 * Found valid multilib environment.
 * Building with multilib support.
./create-localdecls
Checking truncate argument type... off_t
Checking libc version... libc.so.6
Checking glibc subversion... 2.3

x86_64-pc-linux-gnu-gcc -O1 -pipe  -m64 -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -DSB_HAVE_64BIT_ARCH -Wall -c libsandbox.c
x86_64-pc-linux-gnu-gcc -O1 -pipe  -m64 -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -DSB_HAVE_64BIT_ARCH -Wall -c sandbox_futils.c -o sandbox_futils.o
x86_64-pc-linux-gnu-gcc libsandbox.o sandbox_futils.o -shared  -m64 -fPIC -ldl -lc -nostdlib -lgcc -o libsandbox.so
x86_64-pc-linux-gnu-gcc -O1 -pipe -m32 -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -DSB_HAVE_64BIT_ARCH -Wall -c libsandbox.c -o libsandbox32.o
x86_64-pc-linux-gnu-gcc -O1 -pipe -m32 -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -DSB_HAVE_64BIT_ARCH -Wall -c sandbox_futils.c -o sandbox_futils32.o
x86_64-pc-linux-gnu-gcc libsandbox32.o sandbox_futils32.o -shared -m32 -fPIC -ldl -lc -nostdlib -lgcc -o libsandbox32.so
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../libdl.so when searching for -ldl
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../libdl.a when searching for -ldl
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libdl.so when searching for -ldl
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libdl.a when searching for -ldl
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -ldl
collect2: ld returned 1 exit status
make: *** [libsandbox32.so] Error 1

!!! ERROR: sys-apps/portage-2.0.51.19 failed.
!!! Function src_compile, Line 79, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.


Any hints?[/quote]
_________________
Having a non-smoking section in a restaraunt is as effective as having a non-peeing section in a pool.
Back to top
View user's profile Send private message
maikmerten
n00b
n00b


Joined: 20 Aug 2002
Posts: 30
Location: Germany

PostPosted: Thu Mar 31, 2005 8:33 am    Post subject: Reply with quote

Hello, finally I managed to switch to 2005.0. The compile problems disappeared when switching the gcc profile to 3.4.3 - I have been using 3.3.4 without knowing.
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Thu Mar 31, 2005 8:35 am    Post subject: Reply with quote

cmulcahy wrote:
Any hints?

Which version of emul-linux-x86-glibc have you got installed? Try upgrading it to the latest version, and see if that helps.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
spielc
Guru
Guru


Joined: 20 Apr 2004
Posts: 452

PostPosted: Thu Mar 31, 2005 9:14 am    Post subject: Reply with quote

maikmerten wrote:
Hello, finally I managed to switch to 2005.0. The compile problems disappeared when switching the gcc profile to 3.4.3 - I have been using 3.3.4 without knowing.


LOL i told you in my post :P
spielc wrote:
(from the output i take it you still use gcc 3.3.4)


It would be a good idea to change to gcc 3.4.x anyway as this version of gcc offers a ton of optimizations for 64-bit processors that weren't available with older versions of gcc...
Back to top
View user's profile Send private message
cmulcahy
n00b
n00b


Joined: 03 Aug 2004
Posts: 64
Location: Minneapolis, MN

PostPosted: Thu Mar 31, 2005 11:39 am    Post subject: Reply with quote

Eventually after compiling gcc several times, I did switch:
Code:
bash-2.05b# gcc-config  -l
[1] x86_64-pc-linux-gnu-3.3.4
[2] x86_64-pc-linux-gnu-3.4.3 *
[3] x86_64-pc-linux-gnu-3.4.3-hardened
[4] x86_64-pc-linux-gnu-3.4.3-hardenednopie
[5] x86_64-pc-linux-gnu-3.4.3-hardenednossp

The errors I'm receiving mentioned above are with 3.4.3.
Code:

bash-2.05b# emerge portage
Calculating dependencies ...done!
>>> emerge (1 of 1) sys-apps/portage-2.0.51.19 to /
>>> md5 src_uri ;-) portage-2.0.51.19.tar.bz2
>>> Unpacking source...
>>> Unpacking portage-2.0.51.19.tar.bz2 to /var/tmp/portage/portage-2.0.51.19/work
>>> Source unpacked.
 * Found valid multilib environment.
 * Building with multilib support.
./create-localdecls
Checking truncate argument type... off_t
Checking libc version... libc.so.6
Checking glibc subversion... 2.3

x86_64-pc-linux-gnu-gcc -O1 -pipe  -m64 -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -DSB_HAVE_64BIT_ARCH -Wall -c libsandbox.c
x86_64-pc-linux-gnu-gcc -O1 -pipe  -m64 -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -DSB_HAVE_64BIT_ARCH -Wall -c sandbox_futils.c -o sandbox_futils.o
x86_64-pc-linux-gnu-gcc libsandbox.o sandbox_futils.o -shared  -m64 -fPIC -ldl -lc -nostdlib -lgcc -o libsandbox.so
x86_64-pc-linux-gnu-gcc -O1 -pipe -m32 -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -DSB_HAVE_64BIT_ARCH -Wall -c libsandbox.c -o libsandbox32.o
x86_64-pc-linux-gnu-gcc -O1 -pipe -m32 -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -DSB_HAVE_64BIT_ARCH -Wall -c sandbox_futils.c -o sandbox_futils32.o
x86_64-pc-linux-gnu-gcc libsandbox32.o sandbox_futils32.o -shared -m32 -fPIC -ldl -lc -nostdlib -lgcc -o libsandbox32.so
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../libdl.so when searching for -ldl
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../libdl.a when searching for -ldl
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libdl.so when searching for -ldl
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libdl.a when searching for -ldl
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -ldl
collect2: ld returned 1 exit status
make: *** [libsandbox32.so] Error 1

!!! ERROR: sys-apps/portage-2.0.51.19 failed.
!!! Function src_compile, Line 79, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

_________________
Having a non-smoking section in a restaraunt is as effective as having a non-peeing section in a pool.
Back to top
View user's profile Send private message
spielc
Guru
Guru


Joined: 20 Apr 2004
Posts: 452

PostPosted: Thu Mar 31, 2005 12:00 pm    Post subject: Reply with quote

In this case i'd really emerge the newest version of emul-linux-x86-glibc and try it again....
Back to top
View user's profile Send private message
cmulcahy
n00b
n00b


Joined: 03 Aug 2004
Posts: 64
Location: Minneapolis, MN

PostPosted: Thu Mar 31, 2005 12:29 pm    Post subject: Reply with quote

spielc:
Quote:
In this case i'd really emerge the newest version of emul-linux-x86-glibc and try it again....

I'm trying that right now as Maedhros also suggested. It seems to be getting further.

Thanks to everyone for the help so far! I'll let you know how it goes.
_________________
Having a non-smoking section in a restaraunt is as effective as having a non-peeing section in a pool.
Back to top
View user's profile Send private message
maikmerten
n00b
n00b


Joined: 20 Aug 2002
Posts: 30
Location: Germany

PostPosted: Thu Mar 31, 2005 1:20 pm    Post subject: Reply with quote

[quote="spielc"]
maikmerten wrote:
Hello, finally I managed to switch to 2005.0. The compile problems disappeared when switching the gcc profile to 3.4.3 - I have been using 3.3.4 without knowing.


LOL i told you in my post :P [quote="spielc"]

Yes, but I thought I had sucessfully upgraded to a newer gcc - I indeed had but used the wrong profile :)
Back to top
View user's profile Send private message
Decibels
Veteran
Veteran


Joined: 16 Aug 2002
Posts: 1558
Location: U.S.A.

PostPosted: Tue Apr 05, 2005 2:34 pm    Post subject: Reply with quote

How come 'multilib' even if forced doesn't show up in 'emerge info' ?

I have it in the 2005.0 stage3 I installed, but never shows up in 'emerge info' even though in make.conf.
_________________
http://webpages.charter.net/decibelshelp/
Don't assume malice for what stupidity can explain.
Always remember you're unique. Just like everyone else.
Everybody lies........but it doesn't matter since nobody listens.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64 All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum